Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.auth
Interface LogoutFilterChain

    public interface LogoutFilterChain

This interface is used to call the next element in the explicit or implicit logout filter chain. A reference is passed to the `com.ibm.portal.auth.ExplicitLogoutFilter` and `com.ibm.portal.auth.ImplicitLogoutFilter` SPI. If an implementation of this SPI calls this method, the corresponding method of the next LogoutFilter implementation as defined in the respective logout filter chain (as a property of the Portal Authentication Service) is called. NOTE: This API may only be used in the scope of an HTTP request in WebSphere Portal, i.e. within a theme. The API can not be invoked directly by a custom servlet.

Since:
  6.1

Method Summary
`void` | `logout(HttpServletRequest req, HttpServletResponse resp, FilterChainContext portalLogoutContext)` Calls the logout method of the next logout filter in the logout filter chain

Method Detail

### logout

    void logout(HttpServletRequest req,
                HttpServletResponse resp,
                FilterChainContext portalLogoutContext)
                throws LogoutException,
                       javax.security.auth.login.LoginException

  Calls the logout method of the next logout filter in the logout filter chain

  Parameters:
    `req` - The servlet request.
    `resp` - The servlet response.
    `portalLogoutContext` - A `FilterChainContext` object that can be used to share information between the logout filter implementations.
  Throws:
    `LogoutException` - This generic exception is thrown for all kinds of exceptions that can occur during the logout process.
    `javax.security.auth.login.LoginException` - Can be thrown by the logout method on the JAAS login context in WAS (performed by the default logout filter implementation).

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD